      program main
      logical ok
      parameter (nutot=9 , nstartot=5 )
      character*80 line
      hden = 1.
*     redirect output to file corner4.out
      icldy = 12
      open(icldy,file='hiiregions.out')
      doigrain=0,1
        donu=1,nutot
          donstar=1,nstartot
            tstar = nstar*2e4 - 1e4
            u = 2. - nu*0.5
            call cdInit
*           option to redirect output to file opened above
            call cdoutp( icldy )
*           option to not execute code beyond header
*           call cdNoex
            write(line,'(''title run code for hii regions'',
     1      1p,2e10.2,i3)') tstar,u,igrain
            call cdRead( line , nleft )
            write(line,'(''blackbody '',f7.4)')log10(tstar)
            call cdRead( line , nleft )
            write(line,'(''ionization '',f7.2)') u
            call cdRead( line , nleft )
            if(ized.eq.1 ) then
              write(line,'(''abundan orion'')')
              call cdRead( line , nleft )
            endif
            write(line,'(''iterate to convergence '')')
            call cdRead( line , nleft )
            write(line,'(''set nend 1200 '')')
            call cdRead( line , nleft )
            write(line,'(''print last iteration '')')
            call cdRead( line , nleft )
            write(line,'(''stop temperature 3 linear '')')
            call cdRead( line , nleft )
            write(line,'(''hden '',f5.2)') hden
            call cdRead( line , nleft )
            write(line,'(''failures 5 no map '')')
            call cdRead( line , nleft )
            call cdDriv( ok )
          enddo
        enddo
      enddo
      end
